%{?nodejs_find_provides_and_requires}

%global packagename brorand
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.6
Release: 1%{?dist}.3
Summary: Random number generator for browsers and node.js
License: MIT
URL: https://github.com/indutny/brorand
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.0.1
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
Random number generator for browsers and node.js.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --reporter=spec test/*-test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 1.0.6-1
- Initial package.
